package cn.iocoder.yudao.module.system.enums.redis;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * redis锁的key
 */
@Getter
@AllArgsConstructor
public enum RobotCacheLockEnum {

    TASK_NO("task:robot:no", "任务号"),
    MOVE_TASK_NO("task:robot:no:move", "移动任务号"),
    CHARGE_TASK_NO("task:robot:no:charge", "自动充电任务号"),
    ROBOT_TASK_ADD_LOCK("robot:task:add:lock", "所有创建机器人任务的锁"),
    ROBOT_RCS_HEART_BEAT_LOCK("robot:rcs:heart:beat:lock", "RCS维持与车机心跳的锁"),
    ROBOT_STATISTICS_DURATION_LOCK("robot:statistics:duration:lock", "统计车辆工作时长的锁"),
    //取消订单、修改优先级
    ROBOT_TASK_DISTRIBUTE_LOCK("robot:task:distribute:lock", "下发任务给机器人的锁"),
    ROBOT_TASK_LOCATION_LOCK("robot:task:location:lock", "库位取/放任务下发互斥锁(仅仅锁某个库位)"),
    ROBOT_TASK_LANE_LOCK("robot:task:lane:lock", "线库/巷道, 取/放任务下发互斥锁(仅仅锁某个线库/巷道)"),
    ROBOT_TASK_AREA_LOCK("robot:task:area:lock", "库区, 取/放任务下发互斥锁(仅仅锁某个库区)");
    /**
     * 类型
     */
    private final String key;
    /**
     * 说明
     */
    private final String msg;
}
